% Case 1: estimation of max. torque for the floating disc
ROsf=50;%density of styrofoam [kg/m3]
Hsf=200e-6;%hight of styrofoam disc [m]
r2sf=175e-6;%outer radius of styrofoam disc [m]
r1sf=50e-6;%inner radius of styrofoam disc [m]
ROal=2700;%density of aluminum [kg/m3]
Hal=140e-6;%hight of aluminum disc[m]
r2al=195e-6;%outer radius of aluminum disc [m]
r1al=70e-6;%inner radius of aluminum disc [m]
deltaWsfal=59; %difference between the lower and higher rotational speed for composition of aluminum disc + styrofoam disc [rad/s]
deltaTsfal=0.22;%time to reach the rotational speed difference for composition of aluminum disk + styrofoam disk [s]
deltaWsf=59;%difference between the lower and higher rotational speed for styrofoam disk [rad/s]
deltaTsf=0.11;%time to reach the rotational speed difference for styrofoam disk [s]
%msf=3.14*ROsf*Hsf*(r2sf^2-r1sf^2)%mass of styrofoam disc (ring)[kg]
%mal=3.14*ROal*Hal*(r2al^2-r1al^2)%mass of aluminium disc (ring)[kg]
%Jsf=3.14/2*ROsf*Hsf*(r2sf^4-r1sf^4)% Inertia of styrofoam disc [kgm2]
%Jal=3.14/2*ROal*Hal*(r2al^4-r1al^4)% Inertia of aluminium disc [kgm2]
%Jload=Jal-Jsf % Load inertia [kgm2]
Tmax1=3.14/2*[(ROsf*Hsf*(r2sf^4-r1sf^4)+ROal*Hal*(r2al^4-r1al^4))*deltaWsfal/deltaTsfal-ROsf*Hsf*(r2sf^4-r1sf^4)*deltaWsf/deltaTsf] %maximum torque of the microfluidic motor [Nm]

% Case 2: estimation of max. torque for the submerged disc fixed on the glass axis
ROpl=1050;%density of plastic [kg/m3]
Hpl=100e-6;%hight of plastic disc [m]
r2pl=165e-6;%outer radius of plastic disc [m]
r1pl=50e-6;%inner radius of plastic disc [m]
ROal=2700;%density of aluminum [kg/m3]
Hal=185e-6;%hight of aluminum disc [m]
r2al=195e-6;%outer radius of aluminum disc [m]
r1al=50e-6;%inner radius of aluminum disc [m]
ROgl=2500;%density of glass [kg/m3]
rgl=80e-6;%radius of glass axis [m]
Hgl=810e-6;%hight of glass axis[m]
deltaWplglal=29; %difference between the lower and higher rotational speed for composition of aluminum disc + styrofoam disc [rad/s]
deltaTplglal=0.23;%time to reach the rotational speed difference for composition of aluminum disc + styrofoam disc [s]
deltaWplgl=29;%difference between the lower and higher rotational speed for styrofoam disk [rad/s]
deltaTplgl=0.10;%time to reach the rotational speed difference for styrofoam disk [s]
Tmax2=3.14/2*[(ROpl*Hpl*(r2pl^4-r1pl^4)+ROal*Hal*(r2al^4-r1al^4)+ROgl*Hgl*rgl^4)*deltaWplglal/deltaTplglal-(ROpl*Hpl*(r2pl^4-r1pl^4)+ROgl*Hgl*rgl^4)*deltaWplgl/deltaTplgl] %maximum torque of the microfluidic motor [Nm]